Package io.vertx.rxjava3.ext.web.templ.rocker

## Class RockerTemplateEngine

- java.lang.Object
- - io.vertx.rxjava3.ext.web.common.template.TemplateEngine
  - - io.vertx.rxjava3.ext.web.templ.rocker.RockerTemplateEngine

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class RockerTemplateEngine
      extends TemplateEngine
      implements io.vertx.lang.rx.RxDelegate

  A template engine that uses the Rocker library.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<RockerTemplateEngine>` | `__TYPE_ARG` |
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` | Default template extension

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RockerTemplateEngine​(RockerTemplateEngine delegate)` |
    `RockerTemplateEngine​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RockerTemplateEngine` | `create()` | Create a template engine using defaults
    `static RockerTemplateEngine` | `create​(String extension)` | Create a template engine using a custom extension
    `boolean` | `equals​(Object o)` |
    `RockerTemplateEngine` | `getDelegate()` |
    `int` | `hashCode()` |
    `static RockerTemplateEngine` | `newInstance​(RockerTemplateEngine arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.ext.web.common.template.TemplateEngine

      `clearCache, newInstance, render, render, rxRender, rxRender, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RockerTemplateEngine> __TYPE_ARG

    - #### DEFAULT_TEMPLATE_EXTENSION

          public static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RockerTemplateEngine

          public RockerTemplateEngine​(RockerTemplateEngine delegate)

    - #### RockerTemplateEngine

          public RockerTemplateEngine​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TemplateEngine`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `TemplateEngine`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TemplateEngine`

    - #### getDelegate

          public RockerTemplateEngine getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static RockerTemplateEngine create()

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          public static RockerTemplateEngine create​(String extension)

      Create a template engine using a custom extension
      Parameters:
        `extension` -
      Returns:
        the engine

    - #### newInstance

          public static RockerTemplateEngine newInstance​(RockerTemplateEngine arg)